Mailinglist Archive: opensuse-security-announce (84 mails)

< Previous Next >
[security-announce] openSUSE-SU-2018:3524-1: moderate: Security update for ImageMagick
openSUSE Security Update: Security update for ImageMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:3524-1
Rating: moderate
References: #1107609 #1112399
Cross-References: CVE-2017-14997 CVE-2018-16644
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for ImageMagick fixes the following issues:

- CVE-2017-14997: GraphicsMagick allowed remote attackers to cause a
denial of service (excessive memory allocation) because of an integer
underflow in ReadPICTImage in coders/pict.c. [bsc#1112399]
- CVE-2018-16644: An regression in the security fix for the pict coder was
fixed (bsc#1107609)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-1312=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

ImageMagick-6.8.8.1-76.1
ImageMagick-debuginfo-6.8.8.1-76.1
ImageMagick-debugsource-6.8.8.1-76.1
ImageMagick-devel-6.8.8.1-76.1
ImageMagick-extra-6.8.8.1-76.1
ImageMagick-extra-debuginfo-6.8.8.1-76.1
libMagick++-6_Q16-3-6.8.8.1-76.1
libMagick++-6_Q16-3-debuginfo-6.8.8.1-76.1
libMagick++-devel-6.8.8.1-76.1
libMagickCore-6_Q16-1-6.8.8.1-76.1
libMagickCore-6_Q16-1-debuginfo-6.8.8.1-76.1
libMagickWand-6_Q16-1-6.8.8.1-76.1
libMagickWand-6_Q16-1-debuginfo-6.8.8.1-76.1
perl-PerlMagick-6.8.8.1-76.1
perl-PerlMagick-debuginfo-6.8.8.1-76.1

- openSUSE Leap 42.3 (x86_64):

ImageMagick-devel-32bit-6.8.8.1-76.1
libMagick++-6_Q16-3-32bit-6.8.8.1-76.1
libMagick++-6_Q16-3-debuginfo-32bit-6.8.8.1-76.1
libMagick++-devel-32bit-6.8.8.1-76.1
libMagickCore-6_Q16-1-32bit-6.8.8.1-76.1
libMagickCore-6_Q16-1-debuginfo-32bit-6.8.8.1-76.1
libMagickWand-6_Q16-1-32bit-6.8.8.1-76.1
libMagickWand-6_Q16-1-debuginfo-32bit-6.8.8.1-76.1

- openSUSE Leap 42.3 (noarch):

ImageMagick-doc-6.8.8.1-76.1


References:

https://www.suse.com/security/cve/CVE-2017-14997.html
https://www.suse.com/security/cve/CVE-2018-16644.html
https://bugzilla.suse.com/1107609
https://bugzilla.suse.com/1112399

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages